export interface InterveneRecordVO {
  /**
   * 干预记录id
   */
  interveneId: string | number;

  /**
   * 用户id
   */
  userId: string | number;

  /**
   * 诊断
   */
  diagnose: string;

  /**
   * 诊断附件
   */
  annex: number;

  /**
   * 咨询师id
   */
  counselorId: string | number;

}

export interface InterveneRecordForm extends BaseEntity {
  /**
   * 干预记录id
   */
  interveneId?: string | number;

  /**
   * 用户id
   */
  userId?: string | number;

  /**
   * 诊断
   */
  diagnose?: string;

  /**
   * 诊断附件
   */
  annex?: number;

  /**
   * 咨询师id
   */
  counselorId?: string | number;

}

export interface InterveneRecordQuery extends PageQuery {

  /**
   * 用户id
   */
  userId?: string | number;

  /**
   * 诊断
   */
  diagnose?: string;

  /**
   * 诊断附件
   */
  annex?: number;

  /**
   * 咨询师id
   */
  counselorId?: string | number;

    /**
     * 日期范围参数
     */
    params?: any;
}



