export interface WarnRecordVO {
  /**
   *
   */
  warnId: string | number;

  /**
   * td_scale_publish表主键
   */
  batchNo: number;

  /**
   * 测评人id
   */
  userId: string | number;

  /**
   * 状态 0 未处理，1 分配咨询师，2 咨询师拒绝干预，3 干预中 4 干预结束
   */
  status: number;

  /**
   * 补充说明
   */
  note: string;

  /**
   * 预警时间
   */
  warnTime: string;

}

export interface WarnRecordForm extends BaseEntity {
  /**
   *
   */
  warnId?: string | number;

  /**
   * td_scale_publish表主键
   */
  batchNo?: number;

  /**
   * 测评人id
   */
  userId?: string | number;

  /**
   * 状态 0 未处理，1 分配咨询师，2 咨询师拒绝干预，3 干预中 4 干预结束
   */
  status?: number;

  /**
   * 补充说明
   */
  note?: string;

  /**
   * 预警时间
   */
  warnTime?: string;

}

export interface WarnRecordQuery extends PageQuery {

  /**
   * td_scale_publish表主键
   */
  batchNo?: number;

  /**
   * 测评人id
   */
  userId?: string | number;

  /**
   * 状态 0 未处理，1 分配咨询师，2 咨询师拒绝干预，3 干预中 4 干预结束
   */
  status?: number;

  /**
   * 补充说明
   */
  note?: string;

  /**
   * 预警时间
   */
  warnTime?: string;
  startTime?: string;
  endTime?: string;
  interveneStatus?: number;
  nickName?: string;

  /**
   * 日期范围参数
   */
  params?: any;
}



