export interface SysScaleFormulaVO {
  /**
   * 公式id
   */
  formulaId: string | number;

  /**
   * 公式名称
   */
  formulaName: string;

  /**
   * 公式常量
   */
  formulaConstant: number;

  /**
   * 公式系数
   */
  formulaCoefficient: number;

}

export interface SysScaleFormulaForm extends BaseEntity {
  /**
   * 公式id
   */
  formulaId?: string | number;

  /**
   * 公式名称
   */
  formulaName?: string;

  /**
   * 公式常量
   */
  formulaConstant?: number;

  /**
   * 公式系数
   */
  formulaCoefficient?: number;

}

export interface SysScaleFormulaQuery extends PageQuery {

  /**
   * 公式名称
   */
  formulaName?: string;

  /**
   * 公式常量
   */
  formulaConstant?: number;

  /**
   * 公式系数
   */
  formulaCoefficient?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



