export interface ScalePublishVO {
  /**
   * 
   */
  batchNo: number;

  /**
   * 量表id，以逗号隔开
   */
  scaleIds: string | number;

  /**
   * 量表名称 以逗号隔开
   */
  scaleNames: string;

  /**
   * 场次名称
   */
  sessionName: string;

  /**
   * 部门分组id
   */
  deptId: string | number;

  /**
   * 应参评人数
   */
  partNum: number;

  /**
   * 截止日期
   */
  expireTime: string;

  /**
   * 状态 0:正常；1:停用
   */
  status: number;

  /**
   * 0:不允许，1：允许
   */
  allowQueryResult: number;

}

export interface ScalePublishForm extends BaseEntity {
  /**
   * 
   */
  batchNo?: number;

  /**
   * 量表id，以逗号隔开
   */
  scaleIds?: string | number;

  /**
   * 量表名称 以逗号隔开
   */
  scaleNames?: string;

  /**
   * 场次名称
   */
  sessionName?: string;

  /**
   * 部门分组id
   */
  deptId?: string | number;

  /**
   * 应参评人数
   */
  partNum?: number;

  /**
   * 截止日期
   */
  expireTime?: string;

  /**
   * 状态 0:正常；1:停用
   */
  status?: number;

  /**
   * 0:不允许，1：允许
   */
  allowQueryResult?: number;

}

export interface ScalePublishQuery extends PageQuery {

  /**
   * 量表id，以逗号隔开
   */
  scaleIds?: string | number;

  /**
   * 量表名称 以逗号隔开
   */
  scaleNames?: string;

  /**
   * 场次名称
   */
  sessionName?: string;

  /**
   * 部门分组id
   */
  deptId?: string | number;

  /**
   * 应参评人数
   */
  partNum?: number;

  /**
   * 截止日期
   */
  expireTime?: string;

  /**
   * 状态 0:正常；1:停用
   */
  status?: number;

  /**
   * 0:不允许，1：允许
   */
  allowQueryResult?: number;

    /**
     * 日期范围参数
     */
    params?: any;
}



